#include <serial.h>
#include <Keypad.h>

// ultrasonic
//const byte trigPin = PIN_PC1;
//const byte echoPin = PIN_PC2;
// led_on_peri
//const byte peri_red = PIN_PC3;
//const byte peri_yellow = PIN_PC4;
//const byte peri_green = PIN_PC5;
// keypad
const byte pad_C3 = PIN_PD6;
const byte pad_C2 = PIN_PB5;
const byte pad_C1 = PIN_PB4;
const byte pad_R4 = PIN_PB3;
const byte pad_R3 = PIN_PB2;
const byte pad_R2 = PIN_PB1;
const byte pad_R1 = PIN_PB0;
char key;

// variable in ultrasonic
//long duration;
//int distance;

// variable in keypad
const byte ROWS = 4; 
const byte COLS = 3; 
char keys[ROWS][COLS] = {
  {'1','2','3'},
  {'4','5','6'},
  {'7','8','9'},
  {'*','0','#'}
};
byte rowPins[ROWS] = {pad_R1, pad_R2, pad_R3 , pad_R4}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {pad_C1, pad_C2, pad_C3}; //connect to the column pinouts of the keypad
Keypad keypad = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );

void setup() {
  Serial.begin(9600);
  // setup ultrasonic
//  pinMode(trigPin, OUTPUT);
//  pinMode(echoPin, INPUT);

  // setup led
//  pinMode(peri_red, OUTPUT);
//  pinMode(peri_yellow, OUTPUT);
//  pinMode(peri_green, OUTPUT);
//  pinMode(PIN_PD3, OUTPUT); // Test
}
void loop() {
//  CheckDistance(dis_in_cm());
//  Serial.println(dis_in_cm());
  key_press();
  Serial.flush();
  delay(100);
}

void CheckDistance(int distance){ // Check distance by show on led
  if(distance < 45){
     digitalWrite(peri_red, LOW);
     digitalWrite(peri_yellow, HIGH);
     digitalWrite(peri_green, LOW);
  }else if(distance >= 45 && distance < 55){
     digitalWrite(peri_red, LOW);
     digitalWrite(peri_yellow, LOW);
     digitalWrite(peri_green, HIGH);
  }else{
     digitalWrite(peri_red, HIGH);
     digitalWrite(peri_yellow, LOW);
     digitalWrite(peri_green, LOW);
  }
}

int dis_in_cm(){ // Calculate distance from ultrasonic to object 
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
 
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
 
  duration = pulseIn(echoPin, HIGH);
  
  return duration * 0.034 / 2;
}
void key_press(){ // print key
  key = keypad.getKey();
  if(key != NO_KEY){    
    Serial.println(key);
  }
}

