import serial
import time
from tkinter import *
from PIL import Image, ImageTk
    
arduino = serial.Serial("COM5", 9600)

arduino.close()
arduino.open()

line = [[8,6,5],
        [9,5,8,6],
        [6,5,8,9,8],
        [8,6,5,8,9,6,9],
        [6,5,9,6,8,5,6]]

img = [Image.open('./temple/line1.jpg'),
        Image.open('./temple/line2.jpg'),
        Image.open('./temple/line3.jpg'),
        Image.open('./temple/line4.jpg'),
        Image.open('./temple/line5.jpg')]

visual = [150,125,100,75,50,0,0]

i = 0
check = True
start = Image.open('./Press/Slide1.JPG')

while True:
    start.show()
    data = arduino.readline()
    if data.decode() == '*\r\n':        
        break

while i <= 4 and check == True:
    img[i].show()
    wrong = 0
    for column in line[i]:
        data = arduino.readline()
        keypad = int(data.decode())
        print(keypad)
        if column != keypad:
            wrong +=1
    if wrong > len(line[i])//2:
        check = False
    i+=1


root = Tk()
v = Label(root, text= "Your focal length between",font = 100)
v.pack()

T = Label(root, text= visual[i+1],font = 100)
T.pack()

S = Label(root, text= "and",font = 100)
S.pack()

w = Label(root, text= visual[i],font = 100)
w.pack()
mainloop()